## Bsoft program

# bimg

### Usage: bimg [options] input.img output.img

Manipulates images in a few general ways.
Image format extensions supported: BioRad (pic), Brix (brx), CCP4 (map), Digital Instruments (di) EM (em), Goodford (pot), GRD (grd), Imagic (img), JPEG, (jpg), MFF (mff) Image Magick (miff), MRC (mrc), PIC (bp), PIF (pif), Spider (spi) Suprim (spm), TIFF (tif), RAW (raw)

### Actions:

-delete 1,5-13,122 | Delete the indicated sub-images (first image = 0).
-slices | Interpret multiple 2D images as z-slices of a single 3D image
-images | Interpret slices of a single 3D image as 2D images
-invert | Invert density in the image.
-project | Project along z axis (after reslicing).
-average | Average images in a multi-image file.
-reslice -z+xy | Reslice = switch axes (default xyz).
-size 10,50,8 | New image size (pixels/voxels).
-translate -5,12,50 | Translate (pixels, with wrapping if option -wrap is used).
-Wrap 10,50,8 | Shrinking and wrapping an image (pixels).
-truncate -0.5,1.2 | Truncate data to minimum and maximum.
-rescale -0.1,5.2 | Rescale data to average and standard deviation (after -truncate).
-minmax -0.5,1.2 | Rescale data to minimum and maximum (after -truncate).
-range -2.3,5.4 | Fill with fill value outside this range.
-logarithm | Calculate the logarithm of an image.
-Levels 8 | Restrict to a number of levels.
-compression 2 | Compression type: 5=LZW.

### Parameters:

-verbose 7 | Verbosity of output.
-datatype u | Force writing of a new data type.
-sampling 1.5,1.5,1.5 | Sampling (A/pixel; a single value can be given).
-origin 0.8,-10,15.7 | Set the origin (default from input image).
-select 1 | Select an image (first image = 0; default: all images).
-fill 127 | Fill value for resizing: average (default), background, or value.
-setbackground 0.5 | Set background.
-wrap | Turn wrapping on (default off).

### Output:

-std stdev.mrc | Standard deviation map.

Bsoft version 2.0.3-20180917 (64 bit)